% util  Package of utility functions that are not dspace-specific.
%
% Conversion
%
%   dec2var             - Convert decimal number to "variable base" number.
%   var2dec             - Convert "variable base" number to decimal number.
%   sym2str             - Convert a sym array to a cell array of strings.
%
% Miscellaneous
%
%   vector_combinations - Every combination of values taken from vector inputs.
%   blkdiag_3d          - Block diagonal concatenation of matrix slices.
%   index               - Retrieve an array element via function call.
%   getfields           - Get multiple fields of a structure.
%   ternary             - Implement a ternary, or conditional, operator.
%
% Workarounds
%
%   safe_subs           - Safe sybolic substitution to work around bugs.
%   safe_permute        - Safe permute to work around bugs.
