function vals = getfields(s,fields)
% getfields  Get multiple fields of a structure.
% 
% Usage
%
% 	vals = getfields(s,fields)
% 
% Parameters
%
%   fields: cell array of strings, field names in desired order
%
% Returns
%
%   vals: cell column vector, values of fields in the order specified

n = length(fields);
vals = cell(n,1);
for i = 1:n
    vals{i} = s.(fields{i});
end

end

